#ifndef SEGMENT_FUNCTIONS_H
#define	SEGMENT_FUNCTIONS_H
//------------------------------------------------------------------------------
#include "Soft_SPI.h"
#include "74HC595_Protoypes.h"
#include "ascii_chars.h"
//------------------------------------------------------------------------------
void Matrix_Display(char text[])
{    
  char len = strlen(text);
  
  for(int col = 0; col < 8; col++)
  {
    char size = len;
      
    CS0 = 0;
    while(size)
    { 
      char row = text[--size] - 32;   //(Text-32)...because the first 32 ASCII character codes are none Printable (control chars)
      SPI_write( ~symbol[row][col] ); //~ = Invert bits before transmission
    }   
    CS0 = 1;
    
    SR_colSelect(col);
  }     
 }
//------------------------------------------------------------------------------
void SR_colSelect(char col)
{  
  CS1 = 0;
  SPI_write( column[col] );
  CS1 = 1; 
}
//------------------------------------------------------------------------------
#endif